<template>
  <b-form-group
    :id="`${$attrs.id}-group`"
    :label="$attrs.id === 'salary' && !editable ? 'Amount' : $attrs.label"
    :label-for="$attrs.id"
    class="label-s"
  >
    <b-form-input
      :style="[
        $attrs.id === 'displayName' && !editable
          ? { fontSize: '1.3rem', fontWeight: '400' }
          : { fontSize: '0.9rem', fontWeight: '500' }
      ]"
      :disabled="!editable"
      v-bind="$attrs"
      :aria-describedby="`${$attrs.id}-feedback`"
      v-on="$listeners"
    ></b-form-input>

    <b-form-invalid-feedback :id="`${$attrs.id}-feedback`"
      >{{ invalidFeedback }}
    </b-form-invalid-feedback>
  </b-form-group>
</template>
<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  props: {
    invalidFeedback: {
      type: String,
      required: false,
      default: ''
    },
    editable: {
      type: Boolean,
      default: false
    }
  }
})
</script>

<style>
.form-group input {
  border: 0;
  border-bottom: 1px solid #cacaca;
}

input:disabled {
  background-color: #fff;
  border: 0;
}

.form-control:disabled {
  background-color: #fff;
  padding-left: 0;
}

.form-control:focus {
  outline: none;
  border-color: #f9f9f9;
  border-bottom-color: #50c191;
  background-color: #f9f9f9;
  box-shadow: none;
}

.label-s {
  font-size: 10px;
}
</style>
